function [M,C,K] = mk_MCKmatrix_her(dx)
%MK_MCMATRIX 

INT = 10;
[P,W]=lgwt(INT,-1,1);

M = zeros(4,4);
C = zeros(4,4);
K = zeros(4,4);

for kk=1:INT
    NVEC = hermite_basis(P(kk),0);
    dNdX = hermite_basis(P(kk),1);
    
    M=M+W(kk)*NVEC*NVEC'*dx/2;
    C=C+W(kk)*dNdX*NVEC';
    K=K+W(kk)*dNdX*dNdX'/(dx/2);
end

